aboutsummaryrefslogtreecommitdiff
path: root/test/lint/lint-spelling.sh
diff options
context:
space:
mode:
authorWladimir J. van der Laan <laanwj@protonmail.com>2019-11-07 13:56:31 +0100
committerWladimir J. van der Laan <laanwj@protonmail.com>2020-01-28 17:01:48 +0100
commit3a037d0067c2c12a1c2c800fb85613a0a2911253 (patch)
tree7dcef1021a627851efeae14927cfd1fc46ac2888 /test/lint/lint-spelling.sh
parent84ff1b2076ef91ce688930d0aa0a7f4078ef3e1d (diff)
downloadbitcoin-3a037d0067c2c12a1c2c800fb85613a0a2911253.tar.xz
test: Add crc32c exception to various linters and generation scripts
Diffstat (limited to 'test/lint/lint-spelling.sh')
-rwxr-xr-xtest/lint/lint-spelling.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/test/lint/lint-spelling.sh b/test/lint/lint-spelling.sh
index c7a3d0de44..cb84727ba5 100755
--- a/test/lint/lint-spelling.sh
+++ b/test/lint/lint-spelling.sh
@@ -15,6 +15,6 @@ if ! command -v codespell > /dev/null; then
fi
IGNORE_WORDS_FILE=test/lint/lint-spelling.ignore-words.txt
-if ! codespell --check-filenames --disable-colors --quiet-level=7 --ignore-words=${IGNORE_WORDS_FILE} $(git ls-files -- ":(exclude)build-aux/m4/" ":(exclude)contrib/seeds/*.txt" ":(exclude)depends/" ":(exclude)doc/release-notes/" ":(exclude)src/leveldb/" ":(exclude)src/qt/locale/" ":(exclude)src/qt/*.qrc" ":(exclude)src/secp256k1/" ":(exclude)src/univalue/"); then
+if ! codespell --check-filenames --disable-colors --quiet-level=7 --ignore-words=${IGNORE_WORDS_FILE} $(git ls-files -- ":(exclude)build-aux/m4/" ":(exclude)contrib/seeds/*.txt" ":(exclude)depends/" ":(exclude)doc/release-notes/" ":(exclude)src/leveldb/" ":(exclude)src/crc32c/" ":(exclude)src/qt/locale/" ":(exclude)src/qt/*.qrc" ":(exclude)src/secp256k1/" ":(exclude)src/univalue/"); then
echo "^ Warning: codespell identified likely spelling errors. Any false positives? Add them to the list of ignored words in ${IGNORE_WORDS_FILE}"
fi